Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ introduction/welcome/changelog.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -48,4 +48,8 @@
         <para>August 17th, 2015</para>
         <itemizedlist>
+          <listitem>
+            <para>[ken] - use a variable to support building lxqt in
+            /usr as an alternative to building in /opt/lxqt.</para>
+          </listitem>
           <listitem>
             <para>[fernando] - Update to gedit-3.16.3.  Fixes
Index: lxqt/apps/lximage-qt.xml
===================================================================
--- lxqt/apps/lximage-qt.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/apps/lximage-qt.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -99,9 +99,9 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
-LIBRARY_PATH=/opt/qt5/lib:/opt/lxqt/lib make</userinput></screen>
+LIBRARY_PATH=/opt/qt5/lib:$LXQT_PREFIX/lib make</userinput></screen>
 
     <para>
@@ -115,8 +115,8 @@
 <screen role="root"><userinput>make install &amp;&amp;
 
-ln -svf /opt/lxqt/share/applications/lximage-qt.desktop \
+ln -svf $LXQT_PREFIX/share/applications/lximage-qt.desktop \
         /usr/share/applications &amp;&amp;
 
-ln -svf /opt/lxqt/share/applications/lximage-qt-screenshot.desktop \
+ln -svf $LXQT_PREFIX/share/applications/lximage-qt-screenshot.desktop \
         /usr/share/applications</userinput></screen>
 
@@ -144,5 +144,5 @@
 
     <para>
-      <envar>LIBRARY_PATH=/opt/qt5/lib:/opt/lxqt/lib</envar>: Fixes for the
+      <envar>LIBRARY_PATH=/opt/qt5/lib:$LXQT_PREFIX/lib</envar>: Fixes for the
       linker to find three libraries.
     </para>
@@ -166,5 +166,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lximage-qt
+          $LXQT_PREFIX/share/lximage-qt
         </seg>
       </seglistitem>
Index: lxqt/desktop/liblxqt-mount.xml
===================================================================
--- lxqt/desktop/liblxqt-mount.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/liblxqt-mount.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -95,7 +95,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -130,5 +130,5 @@
         </seg>
         <seg>
-          /opt/lxqt/{include,lib/cmake}/lxqtmount
+          $LXQT_PREFIX/{include,lib/cmake}/lxqtmount
         </seg>
       </seglistitem>
Index: lxqt/desktop/liblxqt.xml
===================================================================
--- lxqt/desktop/liblxqt.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/liblxqt.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -105,7 +105,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -150,5 +150,5 @@
         </seg>
         <seg>
-          /opt/lxqt/{include,share{,/cmake}/lxqt}
+          $LXQT_PREFIX/{include,share{,/cmake}/lxqt}
         </seg>
       </seglistitem>
Index: lxqt/desktop/libqtxdg.xml
===================================================================
--- lxqt/desktop/libqtxdg.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/libqtxdg.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -102,7 +102,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -137,5 +137,5 @@
         </seg>
         <seg>
-          /opt/lxqt/{include,share}/qt5xdg
+          $LXQT_PREFIX/{include,share}/qt5xdg
         </seg>
       </seglistitem>
Index: lxqt/desktop/libsysstat.xml
===================================================================
--- lxqt/desktop/libsysstat.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/libsysstat.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -95,6 +95,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -129,5 +129,5 @@
         </seg>
         <seg>
-          /opt/lxqt/{include,share/cmake}/sysstat-qt5
+          $LXQT_PREFIX/{include,share/cmake}/sysstat-qt5
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-about.xml
===================================================================
--- lxqt/desktop/lxqt-about.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-about.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -94,6 +94,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -128,5 +128,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/lxqt-about
+          $LXQT_PREFIX/share/lxqt/lxqt-about
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-common.xml
===================================================================
--- lxqt/desktop/lxqt-common.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-common.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -109,6 +109,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -152,5 +152,5 @@
         <seg>
           /etc/xdg/pcmanfm-qt/lxqt and
-          /opt/lxqt/share/{desktop-directories,lxqt/{graphics,openbox,themes}}
+          $LXQT_PREFIX/share/{desktop-directories,lxqt/{graphics,openbox,themes}}
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-config.xml
===================================================================
--- lxqt/desktop/lxqt-config.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-config.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -96,6 +96,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -140,5 +140,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/translations/lxqt-config{,-appearance,-cursor,-file-associations,-input,-monitor}
+          $LXQT_PREFIX/share/lxqt/translations/lxqt-config{,-appearance,-cursor,-file-associations,-input,-monitor}
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-globalkeys.xml
===================================================================
--- lxqt/desktop/lxqt-globalkeys.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-globalkeys.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -94,7 +94,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -129,7 +129,7 @@
         </seg>
         <seg>
-          /opt/lxqt/include/lxqt-globalkeys,
-          /opt/lxqt/share/lxqt/translations/lxqt-config-globalkeyshortcuts and
-          /opt/lxqt/lib/cmake/lxqt-globalkeys{,-ui}
+          $LXQT_PREFIX/include/lxqt-globalkeys,
+          $LXQT_PREFIX/share/lxqt/translations/lxqt-config-globalkeyshortcuts and
+          $LXQT_PREFIX/lib/cmake/lxqt-globalkeys{,-ui}
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-notificationd.xml
===================================================================
--- lxqt/desktop/lxqt-notificationd.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-notificationd.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -102,6 +102,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -150,5 +150,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/translations/lxqt-{config-,}notificationd
+          $LXQT_PREFIX/share/lxqt/translations/lxqt-{config-,}notificationd
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-panel.xml
===================================================================
--- lxqt/desktop/lxqt-panel.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-panel.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -128,7 +128,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -169,10 +169,10 @@
         </seg>
         <seg>
-          several plugins under /opt/lxqt/lib/lxqt-panel
+          several plugins under $LXQT_PREFIX/lib/lxqt-panel
         </seg>
         <seg>
           /etc/xdg/lxqt,
-          /opt/lxqt/share/lxqt/{,translations/}lxqt-panel and
-          /opt/lxqt/lib/lxqt-panel
+          $LXQT_PREFIX/share/lxqt/{,translations/}lxqt-panel and
+          $LXQT_PREFIX/lib/lxqt-panel
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-policykit.xml
===================================================================
--- lxqt/desktop/lxqt-policykit.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-policykit.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -103,6 +103,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -137,5 +137,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/translations/lxqt-policykit-agent
+          $LXQT_PREFIX/share/lxqt/translations/lxqt-policykit-agent
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-powermanagement.xml
===================================================================
--- lxqt/desktop/lxqt-powermanagement.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-powermanagement.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -98,6 +98,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -132,5 +132,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/translations/lxqt-{config-,}powermanagement
+          $LXQT_PREFIX/share/lxqt/translations/lxqt-{config-,}powermanagement
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-qtplugin.xml
===================================================================
--- lxqt/desktop/lxqt-qtplugin.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-qtplugin.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -95,6 +95,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
Index: lxqt/desktop/lxqt-runner.xml
===================================================================
--- lxqt/desktop/lxqt-runner.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-runner.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -99,6 +99,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -154,5 +154,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/{,translations/}lxqt-runner
+          $LXQT_PREFIX/share/lxqt/{,translations/}lxqt-runner
         </seg>
       </seglistitem>
Index: lxqt/desktop/lxqt-session.xml
===================================================================
--- lxqt/desktop/lxqt-session.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/lxqt-session.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -98,6 +98,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       ..       &amp;&amp;
 
@@ -172,5 +172,5 @@
         </seg>
         <seg>
-          /opt/lxqt/share/lxqt/translations/lxqt{,-config}-session
+          $LXQT_PREFIX/share/lxqt/translations/lxqt{,-config}-session
         </seg>
       </seglistitem>
Index: lxqt/desktop/pcmanfm-qt.xml
===================================================================
--- lxqt/desktop/pcmanfm-qt.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/pcmanfm-qt.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -103,7 +103,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release       \
-      -DCMAKE_INSTALL_PREFIX=/opt/lxqt \
-      -DCMAKE_INSTALL_LIBDIR=lib       \
+cmake -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
       ..       &amp;&amp;
 
@@ -138,5 +138,5 @@
         </seg>
         <seg>
-          /opt/lxqt/include/libfm-qt and /opt/lxqt/share/{libfm-qt,pcmanfm-qt}
+          $LXQT_PREFIX/include/libfm-qt and $LXQT_PREFIX/lxqt/share/{libfm-qt,pcmanfm-qt}
         </seg>
       </seglistitem>
Index: lxqt/desktop/post-install.xml
===================================================================
--- lxqt/desktop/post-install.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/post-install.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -31,7 +31,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="openbox"/> (runtime - reputedly, it may be replaced by
-      another WM, e.g.  <xref linkend="xfwm4"/>, but this has not been tested
-      for BLFS)
+      <xref linkend="openbox"/> (runtime) - this may be replaced by
+      another WM, see the Configuring instructions in <xref
+      linkend="lxqt-session"/>.
     </para>
 
@@ -59,7 +59,10 @@
     </para>
 
-<screen role="root"><userinput>ln -svfn /opt/lxqt/share/lxqt /usr/share/lxqt &amp;&amp;
+<screen role="root"><userinput>test -n "$LXQT_PREFIX" || exit
+test $LXQT_PREFIX = /usr ||
+ln -svfn $LXQT_PREFIX/share/lxqt /usr/share/lxqt &amp;&amp;
 
-for i in /opt/lxqt/share/applications/*
+test $LXQT_PREFIX = /usr ||
+for i in $LXQT_PREFIX/share/applications/*
 do
   ln -svf $i /usr/share/applications/
Index: lxqt/desktop/pre-install.xml
===================================================================
--- lxqt/desktop/pre-install.xml	(revision 68d5b0e3d2208abb74dda0fbb95a9e4de837b756)
+++ lxqt/desktop/pre-install.xml	(revision 6073ef00097394e1bd4363a5ae66991337d3acf2)
@@ -16,11 +16,45 @@
   <title>LXQt Desktop Pre-Install Instructions</title>
 
+    <para>
+      LXQt can be installed in /usr or /opt/lxqt.
+    </para>
+
+  <sect2><title>Installing in /usr</title>
+
+    <para>
+      Installing in <filename class="directory">/usr</filename> creates
+      a simpler setup.  Run:</para>
+
+<screen><userinput>export LXQT_PREFIX=/usr</userinput></screen>
+
+    <para>
+      Either add that to your own <filename>.bash_profile</filename>
+      so that it will still be set if you build the packages over a
+      period of time, or else add it to the system profile as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>cat &gt;&gt; /etc/profile.d/lxqt.sh &lt;&lt; "EOF"
+<literal>
+# Begin LXQt addition
+
+export LXQT_PREFIX=/usr
+
+# End LXQt addition
+</literal>
+EOF</userinput></screen>
+
+    <para>
+      The rest of this page is for people who wish to use the alternative prefix.
+    </para>
+
+  </sect2>
+
   <sect2>
     <title>Installing in /opt/lxqt</title>
 
     <para>
-      LXQt can be installed in /usr or /opt/lxqt.  The BLFS editors recommend
-      the latter in the BLFS environment. The former has not been tested in
-      BLFS.
+      Installing in <filename class="directory">/opt/lxqt</filename> may simplify
+      upgrading to a later version of LXQT.
     </para>
 
@@ -32,7 +66,9 @@
 <screen role="root"><userinput>install -vdm755 /opt/lxqt/{bin,lib,share/man}</userinput></screen>
 
-<screen role="root"><userinput>cat &gt;&gt; /etc/profile.d/extrapaths.sh &lt;&lt; "EOF"
+<screen role="root"><userinput>cat &gt;&gt; /etc/profile.d/lxqt.sh &lt;&lt; "EOF"
 <literal>
 # Begin LXQt addition
+
+export LXQT_PREFIX=/opt/lxqt
 
 pathappend /opt/lxqt/bin           PATH
@@ -74,6 +110,7 @@
     </para>
 
-<screen role="root"><userinput>install -v -dm755                /opt/lxqt/share/icons &amp;&amp;
-ln -sfv /usr/share/icons/hicolor /opt/lxqt/share/icons</userinput></screen>
+<screen role="root"><userinput>source /etc/profile                                       &amp;&amp;
+install -v -dm755                $LXQT_PREFIX/share/icons &amp;&amp;
+ln -sfv /usr/share/icons/hicolor $LXQT_PREFIX/share/icons</userinput></screen>
 
 