Index: general.ent
===================================================================
--- general.ent	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ general.ent	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
@@ -772,4 +772,5 @@
 <!ENTITY DocBook-version              "4.5">
 <!ENTITY docbook-xsl-version          "1.75.2">
+<!ENTITY xmlto-version                "0.0.23">
 
 <!-- Chapter 46 -->
Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ general/sysutils/dbus.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -76,7 +76,6 @@
 
     <para>Note that the <command>configure</command> script will look for
-    <ulink url="http://cyberelk.net/tim/xmlto/">xmlto</ulink> but it does
-    nothing as the XML/HTML documentation is already shipped in the source
-    tree.</para>
+    <xref linkend="xmlto"/> but it does nothing as the XML/HTML documentation is
+    already shipped in the source tree.</para>
 
     <para condition="html" role="usernotes">User Notes:
Index: general/sysutils/hal.xml
===================================================================
--- general/sysutils/hal.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ general/sysutils/hal.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -107,6 +107,5 @@
 
     <bridgehead renderas="sect4">Optional (to Create Documentation)</bridgehead>
-    <para role="optional"><xref linkend="libxml2"/> and
-    <ulink url="http://cyberelk.net/tim/xmlto/">xmlto</ulink></para>
+    <para role="optional"><xref linkend="xmlto"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -192,8 +191,7 @@
     <para><parameter>--enable-docbook-docs
     --docdir=/usr/share/doc/hal-&hal-version;</parameter>: If <xref
-    linkend="libxml2"/> and <ulink
-    url="http://cyberelk.net/tim/xmlto/">xmlto</ulink> are available, these
-    parameters enable the <application>HAL</application> specification
-    documentation to be built.</para>
+    linkend="xmlto"/> is available, these parameters enable the
+    <application>HAL</application> specification documentation to be
+    built.</para>
 
   </sect2>
Index: gnome/add/gnome-screensaver.xml
===================================================================
--- gnome/add/gnome-screensaver.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ gnome/add/gnome-screensaver.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -72,5 +72,5 @@
     (and <xref linkend="libxslt"/>),
     <xref linkend="gdm"/>, and
-    <ulink url="http://cyberelk.net/tim/xmlto/">xmlto</ulink></para>
+    <xref linkend="xmlto"/></para>
 
     <para condition="html" role="usernotes">User Notes:
Index: gnome/core/gnome-session.xml
===================================================================
--- gnome/core/gnome-session.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ gnome/core/gnome-session.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -70,5 +70,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="tcpwrappers"/>, and
-    <ulink url="http://cyberelk.net/tim/software/xmlto/">xmlto</ulink></para>
+    <xref linkend="xmlto"/></para>
 
     <para condition="html" role="usernotes">User Notes:
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ introduction/welcome/changelog.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -42,4 +42,13 @@
 -->
     <listitem>
+      <para>November 15th, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Added new package. xmlto-0.0.23.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 14th, 2009</para>
       <itemizedlist>
Index: postlfs/security/consolekit.xml
===================================================================
--- postlfs/security/consolekit.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ postlfs/security/consolekit.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -77,5 +77,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="linux-pam"/> and
-    <ulink url="http://cyberelk.net/tim/software/xmlto/">xmlto</ulink></para>
+    <xref linkend="xmlto"/></para>
 
     <para condition="html" role="usernotes">User Notes:
Index: pst/sgml/opensp.xml
===================================================================
--- pst/sgml/opensp.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ pst/sgml/opensp.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -68,6 +68,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><ulink url="http://cyberelk.net/tim/xmlto/">
-    xmlto</ulink></para>
+    <para role="optional"><xref linkend="xmlto"/></para>
 
     <para condition="html" role="usernotes">User Notes:
Index: pst/xml/xml.xml
===================================================================
--- pst/xml/xml.xml	(revision c4ee35e6f86121e960c4cb079ddc87cbaaf516a7)
+++ pst/xml/xml.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="docbook.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="docbook-xsl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xmlto.xml"/>
 
 </chapter>
Index: pst/xml/xmlto.xml
===================================================================
--- pst/xml/xmlto.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
+++ pst/xml/xmlto.xml	(revision 6129b81c5de65d1b30d38ee18f6c51c72ec31b89)
@@ -0,0 +1,132 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xmlto-download-http "https://fedorahosted.org/releases/x/m/xmlto/xmlto-&xmlto-version;.tar.bz2">
+  <!ENTITY xmlto-download-ftp  " ">
+  <!ENTITY xmlto-md5sum        "3001d6bb2bbc2c8f6c2301f05120f074">
+  <!ENTITY xmlto-size          "103 KB">
+  <!ENTITY xmlto-buildsize     "1 MB">
+  <!ENTITY xmlto-time          "0.1 SBU">
+]>
+
+<sect1 id="xmlto" xreflabel="xmlto-&xmlto-version;">
+  <?dbhtml filename="xmlto.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>xmlto-&xmlto-version;</title>
+
+  <indexterm zone="xmlto">
+    <primary sortas="a-xmlto">xmlto</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to xmlto</title>
+
+    <para>The <application>xmlto</application> is a front-end to an XSL
+    toolchain. It chooses an appropriate stylesheet for the conversion you want
+    and applies it using an external XSL-T processor. It also performs any
+    necessary post-processing.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&xmlto-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&xmlto-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &xmlto-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &xmlto-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &xmlto-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &xmlto-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">xmlto Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="DocBook"/>,
+    <xref linkend="docbook-xsl"/>, and
+    <xref linkend="libxslt"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/xmlto"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of xmlto</title>
+
+    <para>Install <application>xmlto</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Director(y,ies)</segtitle>
+
+      <seglistitem>
+        <seg>xmlif and xmlto</seg>
+        <seg>None</seg>
+        <seg>/usr/share/xmlto/format/{docbook,fo,xhtml1}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="xmlif">
+        <term><command>xmlif</command></term>
+        <listitem>
+          <para>is a conditional processing instructions for XML.</para>
+          <indexterm zone="xmlto xmlif">
+            <primary sortas="b-xmlif">xmlif</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xmlto-prog">
+        <term><command>xmlto</command></term>
+        <listitem>
+          <para>applies an XSL stylesheet to an XML document.</para>
+          <indexterm zone="xmlto xmlto-prog">
+            <primary sortas="b-xmlto">xmlto</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>