Index: general/prog/asciidoc.xml
===================================================================
--- general/prog/asciidoc.xml	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ general/prog/asciidoc.xml	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -7,7 +7,7 @@
   <!ENTITY asciidoc-download-http "https://files.pythonhosted.org/packages/source/a/asciidoc/asciidoc-&asciidoc-version;.tar.gz">
   <!ENTITY asciidoc-download-ftp  " ">
-  <!ENTITY asciidoc-md5sum        "39569c2399bbb018256e74d14255c79c">
+  <!ENTITY asciidoc-md5sum        "3039fb28a56529d2f4a411f1db645cca">
   <!ENTITY asciidoc-size          "212 KB">
-  <!ENTITY asciidoc-buildsize     "2.7 MB">
+  <!ENTITY asciidoc-buildsize     "4.1 MB">
   <!ENTITY asciidoc-time          "less than 0.1 SBU">
 ]>
Index: general/prog/lxml.xml
===================================================================
--- general/prog/lxml.xml	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ general/prog/lxml.xml	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -7,8 +7,8 @@
   <!ENTITY lxml-download-http "&pymodules-dl;/l/lxml/lxml-&lxml-version;.tar.gz">
   <!ENTITY lxml-download-ftp  " ">
-  <!ENTITY lxml-md5sum        "7761ed3842697b4e1de83e47ee2242d8">
+  <!ENTITY lxml-md5sum        "ddb9f25a41ca5fb4f7d174a9d74bfa46">
   <!ENTITY lxml-size          "3.1 MB">
-  <!ENTITY lxml-buildsize     "78 MB (add 21 MB for tests)">
-  <!ENTITY lxml-time          "1.0 SBU (add 0.7 SBU for tests)">
+  <!ENTITY lxml-buildsize     "91 MB (add 20 MB for tests)">
+  <!ENTITY lxml-time          "1.1 SBU (add 0.6 SBU for tests)">
 ]>
 
@@ -115,5 +115,5 @@
        <command>make PYTHON=python3 test</command>.
        This will rebuild the package for inplace use before running the tests.
-       Several tests (32 of 1948) are known to fail with Python-3.10.1.
+       <!--Several tests (32 of 1948) are known to fail with Python-3.10.1.-->
      </para>
 
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ general/prog/mercurial.xml	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -7,8 +7,8 @@
   <!ENTITY mercurial-download-http "https://www.mercurial-scm.org/release/mercurial-&mercurial-version;.tar.gz">
   <!ENTITY mercurial-download-ftp  " ">
-  <!ENTITY mercurial-md5sum        "c558dc189038c17e271ca561b3829528">
+  <!ENTITY mercurial-md5sum        "57f92c00de07b902a21fd975adbfbecc">
   <!ENTITY mercurial-size          "7.7 MB">
-  <!ENTITY mercurial-buildsize     "77 MB (with docs, add 1.6 GB for tests)">
-  <!ENTITY mercurial-time          "0.3 SBU (with docs, add 18 SBU for tests using -j4)">
+  <!ENTITY mercurial-buildsize     "105 MB (with docs, add 1.8 GB for tests)">
+  <!ENTITY mercurial-time          "0.7 SBU (with docs, add 28 SBU for tests using -j4)">
 ]>
 
@@ -124,5 +124,5 @@
 
     <para>
-      To run the test suite, issue (15 tests are known to fail):
+      To run the test suite, issue (8 tests are known to fail):
     </para>
 <screen remap="test"><userinput>TESTFLAGS="-j<replaceable>&lt;N&gt;</replaceable> --tmpdir tmp --blacklist blacklists/fsmonitor --blacklist blacklists/linux-vfat" make check</userinput></screen>
@@ -146,17 +146,16 @@
 
     <para>
-      Normally, the previous failures will be confirmed. However, if
+      Normally, the previous failures will be reproducible. However, if
       you add the switch <option>--debug</option> before
-      <option>--tmpdir</option>, and run again, some failures are gone, which
-      seems to be a problem with the test suite. If this happens, normally,
-      from now on, there will be no more such failures whether you use the
-      debug switch or not.
-      There are 13 of 876 tests that are known to fail.
-    </para>
-
-    <para>
-      An interesting switch is <option>--time</option>, which will generate at
-      the end of the test suite execution, a table with all executed tests and
-      respective start, end, user, system and real times. Note that the
+      <option>--tmpdir</option>, and run the tests again, some failures may
+      disappear, which is a problem with the test suite. If this happens,
+      there will be no more of these failures even if you do not pass the
+      --debug switch again.
+    </para>
+
+    <para>
+      An interesting switch is <option>--time</option>, which will generate a 
+      table of all the executed tests and their respective start, end, user, 
+      system and real times once the tests are complete. Note that these
       switches may be used with <command>make check</command> by including
       them in the <envar>TESTFLAGS</envar> environment variable.
@@ -234,7 +233,7 @@
         The great majority of extensions are disabled by default. Run
         <command>hg help extensions</command> if you need to enable any, e.g.
-        when investigating test failures. You will obtain the lists of enabled
-        and disabled extensions, and more information, such as how to enable
-        or disable them using configuration files.
+        when investigating test failures. This will output a list of enabled
+        and disabled extensions, as well as more information such as how to
+        enable or disable extensions using configuration files.
       </para>
 
Index: general/prog/perl-modules/perl-business-issn.xml
===================================================================
--- general/prog/perl-modules/perl-business-issn.xml	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ general/prog/perl-modules/perl-business-issn.xml	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/B/BD/BDFOY/Business-ISSN-&Business-ISSN-version;.tar.gz">
-  <!ENTITY my-md5sum "4d638d72f22e2d3cc677eab6e07d15f2">
+  <!ENTITY my-md5sum "f46bf5585d6c3aa9fb32127edb13151a">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ introduction/welcome/changelog.xml	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -42,4 +42,26 @@
     </listitem>
     -->
+    <listitem>
+      <para>March 5th, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to Business-ISSN-1.005 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;16140">#16140</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to asciidoc-10.1.4. Fixes
+          <ulink url="&blfs-ticket-root;16134">#16134</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to lxml-4.8.0. Fixes
+          <ulink url="&blfs-ticket-root;16135">#16135</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Mercurial-6.1. Fixes
+          <ulink url="&blfs-ticket-root;16142">#16142</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
     <listitem>
       <para>March 3rd, 2022</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4483a9ae1213b6e021e5d9d5629757dd4f7a1667)
+++ packages.ent	(revision 6148e288e7af9cca17933c8516bb1a7441621a4b)
@@ -358,5 +358,5 @@
 <!ENTITY lua-version                  "5.4.4">
 <!ENTITY lua52-version                "5.2.4">
-<!ENTITY mercurial-version            "6.0.2">
+<!ENTITY mercurial-version            "6.1">
 <!ENTITY nasm-version                 "2.15.05">
 <!ENTITY ninja-version                "1.9.0">
@@ -409,5 +409,5 @@
 <!ENTITY Business-ISBN-version        "3.007">
 <!ENTITY Business-ISMN-version        "1.202">
-<!ENTITY Business-ISSN-version        "1.004">
+<!ENTITY Business-ISSN-version        "1.005">
 <!ENTITY Class-Accessor-version       "0.51">
 <!ENTITY Data-Compare-version         "1.27">
@@ -563,5 +563,5 @@
 <!-- Python module versions used in the Python Modules instructions -->
 <!-- <!ENTITY Beaker-version               "1.10.0"> -->
-<!ENTITY asciidoc-version             "10.1.1">
+<!ENTITY asciidoc-version             "10.1.4">
 <!ENTITY docutils-version             "0.18.1">
 <!ENTITY dbus-python-version          "1.2.18">
@@ -571,5 +571,5 @@
 <!ENTITY Jinja2-version               "3.0.3">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
-<!ENTITY lxml-version                 "4.7.1">
+<!ENTITY lxml-version                 "4.8.0">
 <!ENTITY mako-version                 "1.1.6">
 <!ENTITY MarkupSafe-version           "2.1.0">