Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ general/genlib/nodejs.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -7,5 +7,5 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "009e079ce7e2d695642fb61372459a77">
+  <!ENTITY nodejs-md5sum        "fa70b942c5e3379ce96219fe90f50c8f">
   <!ENTITY nodejs-size          "21 MB">
   <!ENTITY nodejs-buildsize     "433 MB (add 33 MB for tests)">
Index: general/graphlib/libraw.xml
===================================================================
--- general/graphlib/libraw.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ general/graphlib/libraw.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -7,5 +7,5 @@
   <!ENTITY libraw-download-http "http://www.libraw.org/data/LibRaw-&libraw-version;.tar.gz">
   <!ENTITY libraw-download-ftp  " ">
-  <!ENTITY libraw-md5sum        "df3466dd057a06c02453a1313d585b96">
+  <!ENTITY libraw-md5sum        "9f645409e1d59422ebcb85f9302b893f">
   <!ENTITY libraw-size          "1.2 MB">
   <!ENTITY libraw-buildsize     "16 MB">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ gnome.ent	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -29,5 +29,5 @@
 <!ENTITY gnome-menus-version               "3.32.0">
 <!ENTITY gnome-online-accounts-version     "3.32.0">
-<!ENTITY gnome-video-effects-version       "0.4.3">
+<!ENTITY gnome-video-effects-version       "0.5.0">
 <!ENTITY grilo-version                     "0.3.9">
 <!ENTITY libchamplain-version              "0.12.19">
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ gnome/platform/gnome-video-effects.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-video-effects-download-http
-           "&gnome-download-http;/gnome-video-effects/0.4/gnome-video-effects-&gnome-video-effects-version;.tar.xz">
+           "&gnome-download-http;/gnome-video-effects/0.5/gnome-video-effects-&gnome-video-effects-version;.tar.xz">
   <!ENTITY gnome-video-effects-download-ftp
-           "&gnome-download-ftp;/gnome-video-effects/0.4/gnome-video-effects-&gnome-video-effects-version;.tar.xz">
-  <!ENTITY gnome-video-effects-md5sum        "decfd1264c00deb5b7ac12b483d21cda">
-  <!ENTITY gnome-video-effects-size          "140 KB">
-  <!ENTITY gnome-video-effects-buildsize     "2.2 MB">
+           "&gnome-download-ftp;/gnome-video-effects/0.5/gnome-video-effects-&gnome-video-effects-version;.tar.xz">
+  <!ENTITY gnome-video-effects-md5sum        "0c81bfafa7fc5c88cb0834d0026ad001">
+  <!ENTITY gnome-video-effects-size          "84 KB">
+  <!ENTITY gnome-video-effects-buildsize     "1.5 MB">
   <!ENTITY gnome-video-effects-time          "less than 0.1 SBU">
 ]>
@@ -86,6 +86,9 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -97,5 +100,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ introduction/welcome/changelog.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -45,4 +45,24 @@
       <para>August 7th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to node-10.16.2. Fixes
+          <ulink url="&blfs-ticket-root;12367">#12367</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ffmpeg-4.2. Fixes
+          <ulink url="&blfs-ticket-root;12364">#12364</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iw-5.3. Fixes
+          <ulink url="&blfs-ticket-root;12363">#12363</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to LibRaw-0.19.4. Fixes
+          <ulink url="&blfs-ticket-root;12362">#12362</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-video-effects-0.5.0. Fixes
+          <ulink url="&blfs-ticket-root;12360">#12360</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Adapt Subversion to changes in SWIG-4.0.0
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ multimedia/videoutils/ffmpeg.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -7,8 +7,8 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.xz">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "5307931aeb7aaee5e1509d9996040661">
-  <!ENTITY ffmpeg-size          "8.5 MB">
-  <!ENTITY ffmpeg-buildsize     "160 MB (add 3.2 GB for the FATE suite/tests, add 643 MB for docs)">
-  <!ENTITY ffmpeg-time          "1.4 SBU (using parallelism=4; add 3.8 SBU (with THREADS=4) to run the FATE suite after sample files are downloaded; add 0.6 SBU for docs)">
+  <!ENTITY ffmpeg-md5sum        "fb33a9110251873002869664686b2a3f">
+  <!ENTITY ffmpeg-size          "8.7 MB">
+  <!ENTITY ffmpeg-buildsize     "164 MB (add 3.5 GB for the FATE suite/tests, add 655 MB for docs)">
+  <!ENTITY ffmpeg-time          "1.4 SBU (using parallelism=4; add 4.3 SBU (with THREADS=4) to run the FATE suite after sample files are downloaded; add 0.5 SBU for docs)">
 ]>
 
Index: networking/netprogs/iw.xml
===================================================================
--- networking/netprogs/iw.xml	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ networking/netprogs/iw.xml	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -7,7 +7,7 @@
   <!ENTITY iw-download-http "https://www.kernel.org/pub/software/network/iw/iw-&iw-version;.tar.xz">
   <!ENTITY iw-download-ftp  " ">
-  <!ENTITY iw-md5sum        "04d9ca2f20a11213985cea0c53bb3928">
-  <!ENTITY iw-size          "132 KB">
-  <!ENTITY iw-buildsize     "3.3 MB">
+  <!ENTITY iw-md5sum        "b65bb6dc3b9474c55f6107a25469d8cf">
+  <!ENTITY iw-size          "136 KB">
+  <!ENTITY iw-buildsize     "3.5 MB">
   <!ENTITY iw-time          "less than 0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 0129b14308f6279aa58c56ee9206bfe5701463fa)
+++ packages.ent	(revision 6323b10d752432494e5a65c1a2bbc9b01a804fba)
@@ -172,5 +172,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.5">
-<!ENTITY nodejs-version               "10.16.1">
+<!ENTITY nodejs-version               "10.16.2">
 <!ENTITY npth-version                 "1.6">
 <!ENTITY nspr-version                 "4.21">
@@ -215,5 +215,5 @@
 <!ENTITY libpng-version               "1.6.37">
 <!ENTITY librsvg-version              "2.44.14">   <!-- Normally even minors -->
-<!ENTITY libraw-version               "0.19.3">
+<!ENTITY libraw-version               "0.19.4">
 <!ENTITY libtiff-version              "4.0.10">
 <!ENTITY libwebp-version              "1.0.3">
@@ -547,5 +547,5 @@
 <!ENTITY bridgeutils-version          "1.6">
 <!ENTITY cifsutils-version            "6.9">
-<!ENTITY iw-version                   "5.0.1">
+<!ENTITY iw-version                   "5.3">
 <!ENTITY ncftp-version                "3.2.6">
 <!ENTITY net-tools-version            "CVS_20101030">
@@ -977,5 +977,5 @@
 
 <!-- Chapter 44 -->
-<!ENTITY ffmpeg-version               "4.1.4">
+<!ENTITY ffmpeg-version               "4.2">
 <!ENTITY mplayer-version              "1.4">
 <!ENTITY xine-ui-version              "0.99.10">