Index: appendices/symlinks/rc0.xml
===================================================================
--- appendices/symlinks/rc0.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc0.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -113,4 +113,11 @@
 
 <row>
+<entry>K47</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Unmount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>K48</entry>
 <entry>samba</entry>
Index: appendices/symlinks/rc1.xml
===================================================================
--- appendices/symlinks/rc1.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc1.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -85,4 +85,11 @@
 
 <row>
+<entry>K47</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Unmount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>K48</entry>
 <entry>samba</entry>
Index: appendices/symlinks/rc2.xml
===================================================================
--- appendices/symlinks/rc2.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc2.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -68,4 +68,11 @@
 <entry><filename>../init.d/sshd</filename></entry>
 <entry>Shut down Secure Shell Daemon: <xref linkend="openssh"/></entry>
+</row>
+
+<row>
+<entry>K47</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Unmount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
 </row>
 
Index: appendices/symlinks/rc3.xml
===================================================================
--- appendices/symlinks/rc3.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc3.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -99,4 +99,11 @@
 
 <row>
+<entry>S28</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Mount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>S30</entry>
 <entry>sshd</entry>
Index: appendices/symlinks/rc4.xml
===================================================================
--- appendices/symlinks/rc4.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc4.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -99,4 +99,11 @@
 
 <row>
+<entry>S28</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Mount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>S30</entry>
 <entry>sshd</entry>
Index: appendices/symlinks/rc5.xml
===================================================================
--- appendices/symlinks/rc5.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc5.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -92,4 +92,11 @@
 
 <row>
+<entry>S28</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Mount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>S30</entry>
 <entry>sshd</entry>
Index: appendices/symlinks/rc6.xml
===================================================================
--- appendices/symlinks/rc6.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ appendices/symlinks/rc6.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -106,4 +106,11 @@
 
 <row>
+<entry>K47</entry>
+<entry>netfs</entry>
+<entry><filename>../init.d/netfs</filename></entry>
+<entry>Unmount network filesystems: <xref linkend="postlfs-config-netfs"/></entry>
+</row>
+
+<row>
 <entry>K48</entry>
 <entry>samba</entry>
Index: connect/other/pppoe/pppoe-config.xml
===================================================================
--- connect/other/pppoe/pppoe-config.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ connect/other/pppoe/pppoe-config.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -82,4 +82,10 @@
 ln -sf ../init.d/adsl /etc/rc.d/rc6.d/K49adsl</command></userinput></screen>
 
+<para>Also, If you had previously configured the network interface that will now
+use <acronym>PPPoE</acronym>, you should remove the interface configuration
+files for that interface:
+<filename>/etc/sysconfig/network-devices/if{up,down,config}-ehtx
+</filename>.</para>
+
 </sect3>
 
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ introduction/welcome/credits.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -162,5 +162,5 @@
 STLport, tcl, tk and bind-utils: <emphasis>Tushar Teredesai</emphasis></para></listitem>
 
-<listitem><para>ncpfs and RP-PPPoE: <emphasis>DJ Lucas</emphasis></para>
+<listitem><para>ncpfs, netfs and RP-PPPoE: <emphasis>DJ Lucas</emphasis></para>
 </listitem>
 
@@ -238,4 +238,7 @@
 of the various mozilla extensions.</para></listitem>
 
+<listitem><para><emphasis>Nathan Coulson</emphasis> for writing the mass
+majority of the new network bootscripts (pending).</para></listitem>
+
 </itemizedlist>
 </sect2>
Index: postlfs/config/config.xml
===================================================================
--- postlfs/config/config.xml	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ postlfs/config/config.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -40,4 +40,5 @@
 &postlfs-config-random;
 &postlfs-config-compressdoc;
+&postlfs-config-netfs;
 
 </chapter>
Index: postlfs/config/netfs.xml
===================================================================
--- postlfs/config/netfs.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
+++ postlfs/config/netfs.xml	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -0,0 +1,105 @@
+<sect1 id="postlfs-config-netfs"  xreflabel="netfs">
+<?dbhtml filename="netfs.html" dir="postlfs"?>
+<title>Configuring for Network Filesystems</title>
+
+<para>While <acronym>LFS</acronym> is capable of mounting NFS volumes from
+the get go, the lfs-bootscripts are not quite ready for this configuration.
+Network filesystems should be unmounted before the network goes down.  The
+<filename>netfs</filename> script below will prepare your LFS for mounting
+network filesystems at boot time, and unmounting them when the network 
+is stopped.</para>
+
+<para>  The following commands will create the <filename>netfs</filename>
+script:</para>
+
+<screen><command>cat &gt; /etc/rc.d/init.d/netfs &lt;&lt; "EOF"</command>
+#!/bin/sh
+# Begin $rc_base/init.d/netfs
+                                                                                
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+# netfs script written by Nathan Coulson - conathan@conet.dyndns.org
+# and by DJ Lucas - dj@lucasit.com
+                                                                                
+. /etc/sysconfig/rc
+. $rc_functions
+                                                                                
+case "$1" in
+                                                                                
+        start)
+                # The following line mounts all entries in fstab that
+                # have the _netdev option.  This is required for network
+                # filesystems to be mounted at boot time.
+                echo "Mounting network volumes..."
+                mount -a -O _netdev
+                evaluate_retval
+                ;;
+                                                                                
+        stop)
+                echo -n "Unmounting network volumes..."
+                                                                                
+                # The following line obtains a list from the output of
+                # mount for all netfs types and anything that was
+                # mounted with the _netdev option.
+                NETMOUNTS=`mount | grep '_netdev\|smbfs\|ncpfs|\coda\|nfs' \
+                        | cut -d " " -f 3 | sed 's/$/ /g'`
+                                                                                
+                # Check to see if anything was listed from above
+                # (see if anything is actually needs to be unmounted)
+                if [ x$NETMOUNTS != x ]
+                then
+                        # There is something mounted
+                        # terminate the echo -n above
+                        echo " "
+                                                                                
+                        # Try and stop processes the nice way
+                        # (probably won't work in most cases)
+                        fuser -m -SIGTERM $NETMOUNTS &gt; /dev/null
+                                                                                
+                        # Check and see if it found anything.  If it
+                        # did, then give 3 seconds for things to exit
+                        # the nice way before killing them off.  
+                        # This one will work all of the time!
+                        if [ $? == 0 ]
+                        then
+                                sleep 3
+                                fuser -km $NETMOUNTS &gt; /dev/null
+                        fi
+                                                                                
+                        # unmount our list
+                        umount $NETMOUNTS
+                        evaluate_retval
+                else
+                        # There is nothing mounted
+                        echo "No network volumes mounted!"
+                        # print a nice '[  OK  ]' message
+                        evaluate_retval
+                fi
+                ;;
+                                                                                
+*)
+                echo "Usage: $0 {start|stop}"
+                exit 1
+                ;;
+esac
+                                                                                
+# End $rc_base/init.d/netfs
+EOF
+<command>chmod 0755 /etc/rc.d/init.d/netfs</command></screen>
+
+<para>While the excessive comments in the script might make people cringe, the
+important part to note is that network filesystems that should be mounted at
+boot time, must have the <emphasis role="strong">_netdev</emphasis>
+option passed to them in <filename>/etc/fstab</filename>.</para>
+
+<para>Now put the necessary symlinks in place.</para>
+
+<screen><command>ln -sf ../init.d/netfs /etc/rc.d/rc0.d/K47netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc1.d/K47netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc2.d/K47netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc3.d/S28netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc4.d/S28netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc5.d/S28netfs &amp;&amp;
+ln -sf ../init.d/netfs /etc/rc.d/rc6.d/K47netfs</command></screen>
+
+</sect1>
Index: postlfs/postlfs.ent
===================================================================
--- postlfs/postlfs.ent	(revision e32f9e1a31c1765ed18bc14cc8588d61a191f096)
+++ postlfs/postlfs.ent	(revision 06435ff62040bf324ea9e96c90e621f9e5c56fbd)
@@ -11,4 +11,5 @@
 <!ENTITY postlfs-config-compressdoc SYSTEM "config/compressdoc.xml">
 <!ENTITY postlfs-config-skel SYSTEM "config/skel.xml">
+<!ENTITY postlfs-config-netfs SYSTEM "config/netfs.xml">
 
 <!-- Post-LFS Security -->