Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/add/kdeadmin.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -38,5 +38,5 @@
     Clients include programs for managing users, initialization files, cron,
     and network connections.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing='compact'>
Index: kde/add/kdeedu.xml
===================================================================
--- kde/add/kdeedu.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/add/kdeedu.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -38,5 +38,5 @@
     include a touch typing tutor, a program to help revise/teach Latin, a
     desktop planetarium, an application to study Spanish verbforms, and the
-    classic hangman game for children.</para> 
+    classic hangman game for children.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/add/kdegraphics.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -39,5 +39,5 @@
     an application to adjust monitor gamma correction, a 3D modeling
     application to generate POV-Ray scenes, and a scanner application.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing='compact'>
@@ -63,6 +63,6 @@
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact"> 
-      <listitem> 
+    <itemizedlist spacing="compact">
+      <listitem>
         <para>Required Patch: <ulink
         url="ftp://ftp.kde.org/pub/kde/security_patches/post-&kde-version;-kdegraphics-CAN-2005-3193.diff"/></para>
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/add/kdemultimedia.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -231,5 +231,5 @@
 
     <note>
-      <para> The --sysconfdir parameter must be the same as command used in 
+      <para> The --sysconfdir parameter must be the same as command used in
       kdelibs.</para>
     </note>
Index: kde/core/config.xml
===================================================================
--- kde/core/config.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/core/config.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -37,6 +37,6 @@
 <screen role="root"><userinput>ldconfig</userinput></screen>
 
-  <note> 
-  
+  <note>
+
     <para>When starting a new version of <application>KDE</application> for the
     first time, problems have been observed with the
@@ -53,8 +53,8 @@
     Then log out and log in again to ensure the new directory is in use.  Now,
     starting <application>KDE</application> will rebuild the menus.</para>
-  
-    <para>Move or copy any needed files from the old home directory to the 
+
+    <para>Move or copy any needed files from the old home directory to the
     new one.  Do not move or copy the old <application>KDE</application>
-    configuration files: 
+    configuration files:
     <filename class='directory'>.kde</filename>,
     <filename>.kderc</filename>,
@@ -65,6 +65,6 @@
     <filename>.DCOPserver*</filename>,
     and <filename class='directory'>Desktop</filename>.</para>
-  
-    <para>This technique may need to be repeated after adding additional 
+
+    <para>This technique may need to be repeated after adding additional
     optional packages.</para>
   </note>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/core/kdelibs.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -69,5 +69,5 @@
       </listitem>
     </itemizedlist>
-                        
+
     <bridgehead renderas="sect3">Kdelibs Dependencies</bridgehead>
 
Index: kde/devel/kdebindings.xml
===================================================================
--- kde/devel/kdebindings.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/devel/kdebindings.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -34,7 +34,7 @@
     <title>Introduction to Kdebindings</title>
 
-    <para>The <application>kdebindings</application> provides the ability to 
+    <para>The <application>kdebindings</application> provides the ability to
     write <application>KDE</application> applications in a variety of languages
-    including Ruby, Perl, Python, Java, JavaScript, C#, and Smoke.  For 
+    including Ruby, Perl, Python, Java, JavaScript, C#, and Smoke.  For
     details see <ulink url='http://developer.kde.org/language-bindings/'/></para>
 
Index: kde/kde-intro.xml
===================================================================
--- kde/kde-intro.xml	(revision b5eb704841fde1d820145e985c49778394eb1a61)
+++ kde/kde-intro.xml	(revision 6473e745fec58ab5bd78fc027495a7cacf8c0765)
@@ -29,5 +29,5 @@
   to install it in a unique prefix such as <filename class="directory">/opt/kde</filename> or
   <filename class="directory">/opt/kde-&kde-version;</filename>. This option allows for
-  easy removal of the <application>KDE</application> version or maintenance of 
+  easy removal of the <application>KDE</application> version or maintenance of
   multiple versions for testing.</para>
 