Index: general/general.ent
===================================================================
--- general/general.ent	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ general/general.ent	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -9,5 +9,5 @@
 <!ENTITY % libxslt SYSTEM "genlib/libxslt/libxslt.ent">
 <!ENTITY % popt SYSTEM "genlib/popt/popt.ent">
-<!ENTITY % libfam SYSTEM "genlib/libfam/libfam.ent">
+<!ENTITY % fam SYSTEM "genlib/fam/fam.ent">
 <!ENTITY % slang SYSTEM "genlib/slang/slang.ent">
 <!ENTITY % gmp SYSTEM "genlib/gmp/gmp.ent">
@@ -33,5 +33,5 @@
 %libxslt;
 %popt;
-%libfam;
+%fam;
 %slang;
 %gmp;
Index: general/genlib/fam.xml
===================================================================
--- general/genlib/fam.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,11 @@
+<sect1 id="fam" xreflabel="FAM-&fam-version;">
+<?dbhtml filename="fam.html" dir="general"?>
+<title>FAM-&fam-version;</title>
+
+&fam-intro;
+&fam-inst;
+&fam-exp;
+&fam-config;
+&fam-desc;
+
+</sect1>
Index: general/genlib/fam/fam-config.xml
===================================================================
--- general/genlib/fam/fam-config.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam-config.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,56 @@
+<sect2>
+<title>Configuring <application><acronym>FAM</acronym></application></title>
+
+<sect3><title>Config files</title>
+
+<para><filename>/etc/rpc</filename>,
+ <filename>/etc/fam.conf</filename>,
+ <filename>/etc/inetd.conf</filename>, 
+ <filename>/etc/xinetd.d/fam</filename>
+ or <filename>/etc/xinetd.conf</filename>
+ </para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>Configuring the file alteration monitor.</para>
+
+<para>If you use <application>inetd</application>, add the
+<application><acronym>FAM</acronym></application> entry to
+<filename>/etc/inetd.conf</filename> with the
+following command: </para>
+
+<screen><userinput><command>echo "sgi_fam/1-2 stream  rpc/tcp wait root /usr/bin/fam fam" &gt;&gt; /etc/inetd.conf</command></userinput></screen>
+
+<para>If you use <application>xinetd</application>, add an entry to
+<filename>/etc/xinetd.conf</filename> with the following command (be
+sure the "nogroup" group exists):</para>
+
+<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
+    # description: FAM - file alteration monitor
+    service sgi_fam
+    {
+        type            = RPC UNLISTED
+        socket_type     = stream
+        user            = root
+        group           = nogroup
+        server          = /usr/bin/fam
+        wait            = yes
+        protocol        = tcp
+        rpc_version     = 2
+        rpc_number      = 391002
+    }
+<command>EOF</command></userinput></screen>
+
+<para>If you do not have any inetd daemon installed and have no
+wish to install one, you can also start fam during system startup
+by installing <filename>/etc/rc.d/init.d/fam</filename>
+init script included in the
+<xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-fam</command></userinput></screen>
+
+</sect3>
+
+</sect2>
+
Index: general/genlib/fam/fam-desc.xml
===================================================================
--- general/genlib/fam/fam-desc.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam-desc.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>FAM</acronym></application> package contains 
+<command>famd</command> executable and
+<filename>libfam</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>famd</title>
+
+<para><command>famd</command> is the file alteration monitor.</para>
+
+</sect3>
+
+</sect2>
+
Index: general/genlib/fam/fam-exp.xml
===================================================================
--- general/genlib/fam/fam-exp.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam-exp.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><command>patch -Np1 -i ../fam-&fam-version;-dnotify-1.patch</command>: This patch enables
+<application><acronym>FAM</acronym></application> to use the Linux kernel 
+dnotify mechanism to inform the calling process of 
+file modifications, rather than polling the file system for
+modifications.</para>
+
+<para><command>autoreconf -f -i</command>
+This command is necessary since the dnotify patch affects the
+<filename>configure.ac</filename> and <filename>Makefile.am</filename>.</para>
+
+</sect2>
+
Index: general/genlib/fam/fam-inst.xml
===================================================================
--- general/genlib/fam/fam-inst.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam-inst.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Installation of <application><acronym>FAM</acronym></application></title>
+
+<para>Install <application><acronym>FAM</acronym></application> by running the 
+following commands:</para>
+
+<screen><userinput><command>patch -Np1 -i ../fam-&fam-version;-dnotify-1.patch &amp;&amp;
+autoreconf -f -i &amp;&amp;
+./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: general/genlib/fam/fam-intro.xml
===================================================================
--- general/genlib/fam/fam-intro.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam-intro.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,34 @@
+<sect2>
+<title>Introduction to <application><acronym>FAM</acronym></application></title>
+
+<para>The <application><acronym>FAM</acronym></application> package contains a 
+File Alteration Monitor which is useful for notifying applications of
+changes to the file system.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&fam-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&fam-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &fam-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&fam-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&fam-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Dnotify patch (HTTP): <ulink
+url="&patch-root;/fam-&fam-version;-dnotify-1.patch"/></para></listitem></itemizedlist>
+</sect3>
+     
+                                                                           
+<sect3><title><application><acronym>FAM</acronym></application> dependencies
+</title>
+<sect4><title>Required</title>
+<para><xref linkend="portmap"/></para></sect4>
+</sect3>
+
+</sect2>
Index: general/genlib/fam/fam.ent
===================================================================
--- general/genlib/fam/fam.ent	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
+++ general/genlib/fam/fam.ent	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -0,0 +1,12 @@
+<!ENTITY fam SYSTEM "../fam.xml">
+<!ENTITY fam-intro SYSTEM "fam-intro.xml">
+<!ENTITY fam-inst SYSTEM "fam-inst.xml">
+<!ENTITY fam-exp SYSTEM "fam-exp.xml">
+<!ENTITY fam-config SYSTEM "fam-config.xml">
+<!ENTITY fam-desc SYSTEM "fam-desc.xml">
+<!ENTITY fam-version "2.7.0">
+<!ENTITY fam-download-http "">
+<!ENTITY fam-download-ftp "ftp://oss.sgi.com/projects/fam/download/stable/fam-&fam-version;.tar.gz">
+<!ENTITY fam-size "320 KB">
+<!ENTITY fam-buildsize "6.9 MB">
+<!ENTITY fam-time "0.68 SBU">
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ general/genlib/genlib.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -35,5 +35,5 @@
 &popt;
 &slang;
-&libfam;
+&fam;
 &libxml;
 &libxml2;
Index: neral/genlib/libfam.xml
===================================================================
--- general/genlib/libfam.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect1 id="libfam" xreflabel="FAM-&libfam-version;">
-<?dbhtml filename="libfam.html" dir="general"?>
-<title>FAM-&libfam-version;</title>
-
-&libfam-intro;
-&libfam-inst;
-&libfam-exp;
-&libfam-config;
-&libfam-desc;
-
-</sect1>
Index: neral/genlib/libfam/libfam-config.xml
===================================================================
--- general/genlib/libfam/libfam-config.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<sect2>
-<title>Configuring <application><acronym>FAM</acronym></application></title>
-
-<sect3><title>Config files</title>
-
-<para><filename>/etc/rpc</filename>,
- <filename>/etc/fam.conf</filename>,
- <filename>/etc/inetd.conf</filename>, 
- <filename>/etc/xinetd.d/fam</filename>
- or <filename>/etc/xinetd.conf</filename>
- </para>
-</sect3>
-
-<sect3><title>Configuration Information</title>
-
-<para>Configuring the file alteration monitor.</para>
-
-<para>If you use <application>inetd</application>, add the
-<application><acronym>FAM</acronym></application> entry to
-<filename>/etc/inetd.conf</filename> with the
-following command: </para>
-
-<screen><userinput><command>echo "sgi_fam/1-2 stream  rpc/tcp wait root /usr/bin/fam fam" &gt;&gt; /etc/inetd.conf</command></userinput></screen>
-
-<para>If you use <application>xinetd</application>, add an entry to
-<filename>/etc/xinetd.conf</filename> with the following command (be
-sure the "nogroup" group exists):</para>
-
-<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
-    # description: FAM - file alteration monitor
-    service sgi_fam
-    {
-        type            = RPC UNLISTED
-        socket_type     = stream
-        user            = root
-        group           = nogroup
-        server          = /usr/bin/fam
-        wait            = yes
-        protocol        = tcp
-        rpc_version     = 2
-        rpc_number      = 391002
-    }
-<command>EOF</command></userinput></screen>
-
-<!--
-<para>If you do not have any inetd daemon installed and have no
-wish to install one, you can also start fam during system startup
-by installing <filename>/etc/rc.d/init.d/fam</filename>
-init script included in the
-<xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                                                                
-<screen><userinput><command>make install-fam</command></userinput></screen>
--->
-
-</sect3>
-
-</sect2>
-
Index: neral/genlib/libfam/libfam-desc.xml
===================================================================
--- general/genlib/libfam/libfam-desc.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application><acronym>FAM</acronym></application> package contains 
-<command>fam</command> and
-<filename>libfam</filename> libraries.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>fam</title>
-
-<para><command>fam</command> is the file alteration monitor.</para>
-
-</sect3>
-
-</sect2>
-
Index: neral/genlib/libfam/libfam-exp.xml
===================================================================
--- general/genlib/libfam/libfam-exp.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><command>patch -Np1 -i ../fam-dnotify.patch</command>: This patch causes 
-<application><acronym>FAM</acronym></application> to use the Linux kernel 
-dnotify mechanism to inform the calling process of 
-file modifications, rather than polling the file system for
-modifications.</para>
-
-<para><screen><command>libtoolize --force
-aclocal
-automake --add-missing
-autoconf</command></screen>
-These commands are necessary since the patches affect the
-<filename>configure.in</filename> file. They regenerate a new
-<command>configure</command> command with the necessary changes.</para>
-
-</sect2>
-
Index: neral/genlib/libfam/libfam-inst.xml
===================================================================
--- general/genlib/libfam/libfam-inst.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<sect2>
-<title>Installation of <application><acronym>FAM</acronym></application></title>
-
-<para>Install <application><acronym>FAM</acronym></application> by running the 
-following commands:</para>
-
-<note><para>You will get warnings about make install being unable to
-merge entries in <filename>/etc/rpc</filename>.  These can be ignored, along 
-with any <acronym>IMON</acronym> or <filename>inetd.conf</filename> warnings, 
-as we will be configuring these files after installation.</para></note>
-
-
-<screen><userinput><command>patch -Np1 -i ../fam-2.6.10-dnotify.patch &amp;&amp;
-libtoolize --force &amp;&amp;
-aclocal &amp;&amp;
-automake --add-missing &amp;&amp;
-autoconf &amp;&amp;
-./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-
-</sect2>
-
Index: neral/genlib/libfam/libfam-intro.xml
===================================================================
--- general/genlib/libfam/libfam-intro.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<sect2>
-<title>Introduction to <application><acronym>FAM</acronym></application></title>
-
-<para>The <application><acronym>FAM</acronym></application> package contains a 
-File Alteration Monitor which is useful for notifying applications of
-changes to the file system.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libfam-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libfam-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &libfam-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&libfam-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libfam-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Dnotify patch (HTTP): <ulink
-url="&patch-root;/fam-2.6.10-dnotify.patch"/></para></listitem></itemizedlist>
-</sect3>
-     
-                                                                           
-<sect3><title><application><acronym>FAM</acronym></application> dependencies
-</title>
-<sect4><title>Required</title>
-<para><xref linkend="portmap"/></para></sect4>
-</sect3>
-
-</sect2>
Index: neral/genlib/libfam/libfam.ent
===================================================================
--- general/genlib/libfam/libfam.ent	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<!ENTITY libfam SYSTEM "../libfam.xml">
-<!ENTITY libfam-intro SYSTEM "libfam-intro.xml">
-<!ENTITY libfam-inst SYSTEM "libfam-inst.xml">
-<!ENTITY libfam-exp SYSTEM "libfam-exp.xml">
-<!ENTITY libfam-config SYSTEM "libfam-config.xml">
-<!ENTITY libfam-desc SYSTEM "libfam-desc.xml">
-<!ENTITY libfam-version "2.6.10">
-<!ENTITY libfam-download-http "http://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
-<!ENTITY libfam-download-ftp "ftp://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
-<!ENTITY libfam-size "320 KB">
-<!ENTITY libfam-buildsize "6.9 MB">
-<!ENTITY libfam-time "0.68 SBU">
Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ gnome/gnome-intro.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -81,5 +81,5 @@
 <para><xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref
 linkend="DocBook"/>,
-<xref linkend="docbook-xsl"/> and <xref linkend="libfam"/></para>
+<xref linkend="docbook-xsl"/> and <xref linkend="fam"/></para>
 
 </partintro>
Index: gnome/lib/gnome-vfs/gnome-vfs-intro.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-intro.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ gnome/lib/gnome-vfs/gnome-vfs-intro.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -25,5 +25,5 @@
 <xref linkend="gnome-mime-data"/></para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="libfam"/>, <xref linkend="openssl"/>, <xref
+<para><xref linkend="fam"/>, <xref linkend="openssl"/>, <xref
 linkend="CDParanoia"/>, <xref linkend="gtk-doc"/> and <xref
 linkend="DocBook"/></para></sect4>
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ introduction/important/bootscripts.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -5,6 +5,11 @@
 <para>The lfs-bootscripts package that was used in <acronym>LFS</acronym> also
 contains bootscripts for <acronym>BLFS</acronym>.
-The lfs-bootscripts package will be used throughout the rest of
-the book for startup scripts.  It is recomended you keep the package
+Refer to <ulink url="&lfs-root;/chapter07/bootscripts.html"/> for more
+information on the lfs-bootscripts package.</para>
+
+<para>The lfs-bootscripts package will be used throughout the <acronym>BLFS</acronym>
+the book for startup scripts.  Unlike <acronym>LFS</acronym>, each init script
+has a seperate install target in the lfs-bootscrits package. 
+It is recomended you keep the package
 source directory around until completion of your
 <acronym>BLFS</acronym> system.  When a script is requested from
@@ -15,11 +20,4 @@
 service at the appropriate run-level.</para>
 
-<para>If you are installing <acronym>BLFS</acronym>
-from an older version of LFS, see the INSTALL included in the package for
-upgrade instructions.</para>
-
-<para>Refer to <ulink url="&lfs-root;/chapter07/bootscripts.html"/> for more
-information on the lfs-bootscripts package.</para>
-
 <note><para>It is advisable to peruse each bootscript before installation to
 ascertain that it satisfies your need. Also verify that the start and stop
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ introduction/welcome/changelog.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>March 25th, 2004 [tushar]: Updated to fam-2.7.0.
+Added option to install bootscript.</para></listitem>
 
 <listitem><para>March 25th, 2004 [larry]: Updated to AFPL
Index: kde/inst/kde-libs.xml
===================================================================
--- kde/inst/kde-libs.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ kde/inst/kde-libs.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -29,5 +29,5 @@
 <xref linkend="cups"/>,
 <xref linkend="openldap"/>,
-<xref linkend="libfam"/>,
+<xref linkend="fam"/>,
 <xref linkend="pcre"/>,
 <xref linkend="openssl"/>,
Index: server/mail/courier/courier-intro.xml
===================================================================
--- server/mail/courier/courier-intro.xml	(revision 80a4ab5a2f66ed11713770d3bf1458ffd6452751)
+++ server/mail/courier/courier-intro.xml	(revision 6492ac2c210418c319c1aa73e7abbb2d0419056f)
@@ -28,5 +28,5 @@
 <para><xref linkend="mysql"/> or <xref linkend="postgresql"/>, 
 <xref linkend="Linux_PAM"/>, <xref linkend="openssl"/>, 
-<xref linkend="libfam"/>, <xref linkend="openldap"/>, expect, 
+<xref linkend="fam"/>, <xref linkend="openldap"/>, expect, 
 <xref linkend="apache"/> and <xref linkend="aspell"/></para></sect4>
 </sect3>