Index: general.ent
===================================================================
--- general.ent	(revision 3db52eea8b12d0c7afdf7c4c2f34f8702c60103c)
+++ general.ent	(revision 6508aec48459f3186e683f0618a8fd08a70d4d0d)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "28">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 28th, &year;">
+<!ENTITY releasedate  "August 31st, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -448,5 +448,5 @@
 <!ENTITY ruby-version                 "1.9.3-p194">
 <!ENTITY slang-version                "2.2.4">
-<!ENTITY subversion-version           "1.7.5">
+<!ENTITY subversion-version           "1.7.6">
 <!ENTITY tcl-version                  "8.5.12">
 <!ENTITY tk-version                   "8.5.12">
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision 3db52eea8b12d0c7afdf7c4c2f34f8702c60103c)
+++ general/prog/subversion.xml	(revision 6508aec48459f3186e683f0618a8fd08a70d4d0d)
@@ -8,8 +8,8 @@
   "http://archive.apache.org/dist/subversion/subversion-&subversion-version;.tar.bz2">
   <!ENTITY subversion-download-ftp  " ">
-  <!ENTITY subversion-md5sum        "f6353b9b581081cdf97299300c9eada3">
+  <!ENTITY subversion-md5sum        "4baa434db7709bb059b05d02a2547663">
   <!ENTITY subversion-size          "5.7 MB">
-  <!ENTITY subversion-buildsize     "112 MB (703 MB with tests)">
-  <!ENTITY subversion-time          "1.0 SBU (8.4 SBU with tests)">
+  <!ENTITY subversion-buildsize     "115 MB (703 MB with tests)">
+  <!ENTITY subversion-time          "0.9 SBU (8.4 SBU with tests)">
 ]>
 
@@ -75,4 +75,12 @@
           Estimated build time: &subversion-time;
         </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/subversion-&subversion-version;-build_fixes-1.patch"/></para>
       </listitem>
     </itemizedlist>
@@ -110,5 +118,4 @@
     <para role="optional">
       One of <xref linkend="openjdk"/>, 
-     <!-- <xref linkend="jdk"/>, -->
       <ulink url="http://www.inet.no/dante/">Dante</ulink>, or
       <ulink url="http://oss.software.ibm.com/developerworks/opensource/jikes/">Jikes</ulink>,
@@ -120,5 +127,4 @@
       <ulink url="http://www.swig.org">SWIG</ulink> and
       <xref linkend="python2"/>.
-      <!-- <xref linkend="ruby"/> broken just now -->
     </para>
 
@@ -131,14 +137,4 @@
     <title>Installation of Subversion</title>
 
-<!--    <para>
-      If you have the current version of <application>Apache</application>
-      installed <application>Subversion</application> will try to compile
-      <filename class="libraryfile">mod_dav_svn.so</filename> to use with
-      <xref linkend="apache"/> and the build will fail. Fix the bug with
-      the following sed (not needed with <application>Apache 2.2</application>):
-    </para>
-
-<screen><userinput>sed -i 's#save_errno#aprerr#' subversion/mod_dav_svn/util.c</userinput></screen> -->
-
     <para>
       Install <application>Subversion</application> by running the following
@@ -146,5 +142,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>patch -Np1 -i ../subversion-&subversion-version;-build_fixes-1.patch &amp;&amp;
+./configure --prefix=/usr --disable-static            &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3db52eea8b12d0c7afdf7c4c2f34f8702c60103c)
+++ introduction/welcome/changelog.xml	(revision 6508aec48459f3186e683f0618a8fd08a70d4d0d)
@@ -45,4 +45,14 @@
 -->
     <listitem>
+      <para>August 31st, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to Subversion-1.7.6. Fixes
+          <ulink url="&blfs-ticket-root;3504">#3504</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 29th, 2012</para>
       <itemizedlist>