Index: general.ent
===================================================================
--- general.ent	(revision daaaf8783b58af6b0bf65d14f5392a918a79beb5)
+++ general.ent	(revision 65498331d574565423a9f3f9db58e81aca16674c)
@@ -1,3 +1,3 @@
-<!ENTITY day          "26">
+<!ENTITY day          "27">
 <!ENTITY month        "03">
 <!ENTITY year         "2005">
Index: general/genlib/glib.xml
===================================================================
--- general/genlib/glib.xml	(revision daaaf8783b58af6b0bf65d14f5392a918a79beb5)
+++ general/genlib/glib.xml	(revision 65498331d574565423a9f3f9db58e81aca16674c)
@@ -9,6 +9,6 @@
 <!ENTITY GLib-md5sum "6fe30dad87c77b91b632def29dd69ef9">
 <!ENTITY GLib-size "412 KB">
-<!ENTITY GLib-buildsize "7 MB">
-<!ENTITY GLib-time "0.26 SBU">
+<!ENTITY GLib-buildsize "6.4 MB">
+<!ENTITY GLib-time "0.19 SBU">
 ]>
 
@@ -20,4 +20,6 @@
 <?dbhtml filename="glib.html"?>
 <title>GLib-&GLib-version;</title>
+<indexterm zone="GLib">
+<primary sortas="a-GLib-1">GLib-1</primary></indexterm>
 
 <sect2>
@@ -45,6 +47,5 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required Patch (when using 
-<application>GCC</application>-3.4.x): <ulink
+<listitem><para>Required Patch: <ulink 
 url="&patch-root;/glib-&GLib-version;-gcc34-1.patch"/></para></listitem>
 </itemizedlist></sect3>
@@ -60,6 +61,9 @@
 <screen><userinput><command>patch -Np1 -i ../glib-&GLib-version;-gcc34-1.patch &amp;&amp;
 ./configure --prefix=/usr &amp;&amp;
-make &amp;&amp;
-make install &amp;&amp;
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install &amp;&amp;
 chmod -v 755 /usr/lib/libgmodule-1.2.so.0.0.10</command></userinput></screen>
 
@@ -69,15 +73,39 @@
 <title>Contents</title>
 
-<para>The <application>glib</application> package contains 
-<filename>libglib-1.2</filename> libraries.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
 
-</sect2>
+<seglistitem>
+<seg>glib-config</seg>
+<seg>libglib.[so,a], libgmodule.[so,a] and libgthread.[so,a]</seg>
+<seg>/usr/include/glib-1.2 and /usr/lib/glib</seg>
+</seglistitem>
+</segmentedlist>
 
-<sect2><title>Description</title>
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
 
-<sect3><title>GLib libraries</title>
-<para><application>GLib</application> libraries contain a low-level core
-library for the <application><acronym>GIMP</acronym></application> 
-Toolkit.</para></sect3>
+<varlistentry id="glib-config">
+<term><command>glib-config</command></term>
+<listitem><para>is a tool that is used by <command>configure</command> scripts 
+to determine the compiler and linker flags that should be used to compile and 
+link programs that use <application>GLib</application>.</para>
+<indexterm zone="GLib glib-config">
+<primary sortas="b-glib-config">glib-config</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="libglib">
+<term><filename class='libraryfile'>libglib.[so,a]</filename></term>
+<listitem><para>libraries contain a low-level core library for the 
+<application><acronym>GIMP</acronym></application> Toolkit.</para>
+<indexterm zone="GLib libglib">
+<primary sortas="c-libglib">libglib.[so,a]</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision daaaf8783b58af6b0bf65d14f5392a918a79beb5)
+++ general/prog/doxygen.xml	(revision 65498331d574565423a9f3f9db58e81aca16674c)
@@ -9,6 +9,6 @@
   <!ENTITY doxygen-md5sum        "b0ea863bb3ccc757264f784a36519ddb">
   <!ENTITY doxygen-size          "2.7 MB">
-  <!ENTITY doxygen-buildsize     "48.2 MB">
-  <!ENTITY doxygen-time          "1.77 SBU (includes building documentation)">
+  <!ENTITY doxygen-buildsize     "39.7 MB (additional 8.5 MB to build and install docs and <command>doxywizard</command>)">
+  <!ENTITY doxygen-time          "1.26 SBU (additional 0.50 SBU to build docs and <command>doxywizard</command>)">
 ]>
 
@@ -90,8 +90,8 @@
 <screen><userinput role='root'><command>make docs &amp;&amp;
 make pdf &amp;&amp;
-install -d -m755 /usr/share/doc/doxygen/src &amp;&amp;
-install -m644 src/translator{,_adapter,_en}.h \
+install -v -d -m755 /usr/share/doc/doxygen/src &amp;&amp;
+install -v -m644 src/translator{,_adapter,_en}.h \
     /usr/share/doc/doxygen/src &amp;&amp;
-install -m644 VERSION /usr/share/doc/doxygen &amp;&amp;
+install -v -m644 VERSION /usr/share/doc/doxygen &amp;&amp;
 make install_docs</command></userinput></screen>
 
@@ -134,7 +134,10 @@
 <segmentedlist>
 <segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
 <segtitle>Installed Directory</segtitle>
+
 <seglistitem>
 <seg>doxygen, doxytag and doxywizard</seg>
+<seg>None</seg>
 <seg>/usr/share/doc/doxygen</seg>
 </seglistitem>