Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a7f930e97de6270701241fd1150ce85e99a804fb)
+++ introduction/welcome/changelog.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -44,4 +44,15 @@
 
 -->
+
+    <listitem>
+      <para>September 12th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Add libfm-extra-1.2.2.1. Fixes
+          <ulink url="&blfs-ticket-root;5501">#5501</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>September 11th, 2014</para>
Index: lxde/desktop/desktop.xml
===================================================================
--- lxde/desktop/desktop.xml	(revision a7f930e97de6270701241fd1150ce85e99a804fb)
+++ lxde/desktop/desktop.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -35,4 +35,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxmenu-data.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxde-icon-theme.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libfm-extra.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="menu-cache.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libfm.xml"/>
Index: lxde/desktop/libfm-extra.xml
===================================================================
--- lxde/desktop/libfm-extra.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
+++ lxde/desktop/libfm-extra.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -0,0 +1,187 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libfm-download-http "&sourceforge-repo;/pcmanfm/libfm-&libfm-extra-version;.tar.xz">
+  <!ENTITY libfm-download-ftp  " ">
+  <!ENTITY libfm-md5sum        "f898c480b142b56471377ef3a2810f2d">
+  <!ENTITY libfm-size          "876 KB">
+  <!ENTITY libfm-buildsize     "11 MB">
+  <!ENTITY libfm-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="libfm-extra" xreflabel="libfm-extra-&libfm-extra-version;">
+  <?dbhtml filename="libfm-extra.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libfm-extra-&libfm-extra-version;</title>
+
+  <indexterm zone="libfm-extra">
+    <primary sortas="a-libfm-extra">libfm-extra</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libfm-extra</title>
+
+    <para>
+      The <application>libfm-extra</application> package contains a library and
+      other files required by <command>menu-cache-gen</command> libexec of
+      <xref linkend="menu-cache"/>.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libfm-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libfm-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libfm-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libfm-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libfm-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libfm-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libfm Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/>
+    </para>
+<!--
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libexif"/>,
+      <xref linkend="vala"/>, and
+      <xref linkend="lxmenu-data"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>-->
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libfm-extra"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libfm-extra</title>
+
+    <para>
+      Install <application>libfm-extra</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr     \
+            --sysconfdir=/etc \
+            --with-extra-only \
+            --with-gtk=no     \
+            --disable-static  &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <parameter>--with-extra-only</parameter> Disable all components but
+      libfm-extra library.
+    </para>
+
+    <para>
+      <parameter>--with-gtk=no</parameter> <application>Gtk</application> is
+      not necessary for this package.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libfm-extra.so
+        </seg>
+        <seg>
+          /usr/include/libfm (symlink),
+          /usr/include/libfm-1.0 and
+          /usr/lib/libfm
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libfm-extra-lib">
+        <term><filename class="libraryfile">libfm-extra.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libfm-extra</application> API functions.
+          </para>
+          <indexterm zone="libfm-extra libfm-extra-lib">
+            <primary sortas="c-libfm-extra">libfm-extra.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lxde/desktop/libfm.xml
===================================================================
--- lxde/desktop/libfm.xml	(revision a7f930e97de6270701241fd1150ce85e99a804fb)
+++ lxde/desktop/libfm.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -152,7 +152,5 @@
         <seg>
           /etc/xdg/libfm,
-          /usr/include/libfm (symlink),
-          /usr/include/libfm-1.0,
-          /usr/lib/libfm,
+          /usr/lib/libfm/modules,
           /usr/share/gtk-doc/html/libfm and
           /usr/share/libfm
Index: lxde/desktop/menu-cache.xml
===================================================================
--- lxde/desktop/menu-cache.xml	(revision a7f930e97de6270701241fd1150ce85e99a804fb)
+++ lxde/desktop/menu-cache.xml	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -76,5 +76,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="glib2"/>
+      <xref linkend="libfm-extra"/>
     </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision a7f930e97de6270701241fd1150ce85e99a804fb)
+++ packages.ent	(revision 06579a8deb0f2489de77bece0d59902b714099c7)
@@ -554,4 +554,5 @@
 <!ENTITY lxmenu-data-version          "0.1.2">
 <!ENTITY lxde-icon-theme-version      "0.5.0">
+<!ENTITY libfm-extra-version          "1.2.2.1">
 <!ENTITY menu-cache-version           "0.7.0">
 <!ENTITY libfm-version                "1.2.2.1">