Index: general.ent
===================================================================
--- general.ent	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ general.ent	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "18">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 18th, &year;">
+<!ENTITY releasedate  "July 19th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ gnome.ent	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -63,5 +63,5 @@
 <!ENTITY gnome-session-version             "3.32.0">
 <!ENTITY gdm-version                       "3.32.0">
-<!ENTITY gnome-user-docs-version           "3.32.2">
+<!ENTITY gnome-user-docs-version           "3.32.3">
 <!-- Icons moved to packages.ent, since they're now in the Icons chapter.-->
 <!ENTITY yelp-version                      "3.32.2">
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ gnome/platform/gnome-user-docs.xml	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-user-docs-download-ftp
            "&gnome-download-ftp;/gnome-user-docs/&gnome-minor-32;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
-  <!ENTITY gnome-user-docs-md5sum        "2cced9905093b31620c2f810084f7ee3">
+  <!ENTITY gnome-user-docs-md5sum        "de6cc4d6eb462f7b87d3b1b82c7f2b6a">
   <!ENTITY gnome-user-docs-size          "15 MB">
-  <!ENTITY gnome-user-docs-buildsize     "214 MB">
-  <!ENTITY gnome-user-docs-time          "2.1 SBU">
+  <!ENTITY gnome-user-docs-buildsize     "133 MB">
+  <!ENTITY gnome-user-docs-time          "0.6 SBU (using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ introduction/welcome/changelog.xml	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -42,4 +42,22 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>July 19th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to curl-7.65.3. Fixes
+          <ulink url="&blfs-ticket-root;12287">#12287</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mpg123-1.25.11. Fixes
+          <ulink url="&blfs-ticket-root;12285">#12285</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-user-docs-3.32.3. Fixes
+          <ulink url="&blfs-ticket-root;12283">#12283</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ multimedia/audioutils/mpg123.xml	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -7,7 +7,7 @@
   <!ENTITY mpg123-download-http "&sourceforge-dl;/mpg123/mpg123-&mpg123-version;.tar.bz2">
   <!ENTITY mpg123-download-ftp  " ">
-  <!ENTITY mpg123-md5sum        "ea32caa61d41d8be797f0b04a1b43ad9">
-  <!ENTITY mpg123-size          "900 KB">
-  <!ENTITY mpg123-buildsize     "12 MB">
+  <!ENTITY mpg123-md5sum        "64749512a6fdc117227abe13fee4cc36">
+  <!ENTITY mpg123-size          "892 KB">
+  <!ENTITY mpg123-buildsize     "13 MB">
   <!ENTITY mpg123-time          "0.2 SBU">
 ]>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ networking/netlibs/curl.xml	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -7,7 +7,7 @@
   <!ENTITY curl-download-http "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "2b1bde080347332f829718ca85b5f68a">
+  <!ENTITY curl-md5sum        "7bd5b2ebfd3f591034eb8b55314d8c02">
   <!ENTITY curl-size          "2.3 MB">
-  <!ENTITY curl-buildsize     "73 MB (add 19 MB for tests)">
+  <!ENTITY curl-buildsize     "73 MB (add 15 MB for tests)">
   <!ENTITY curl-time          "0.4 SBU (add 15 SBU for tests)">
 ]>
@@ -177,10 +177,12 @@
     <para>
        To run the test suite, issue: <command>make test</command>. 
-       Tests 323 and 1560 are known to fail.
-       <!-- Two (of 857) tests
-      fail for unknown reasons, and all tests fail is valgrind is installed. Moving
-      valgrind out of $PATH is recommended if you wish to run the test suite while
-      it is installed. -->
-<!--
+       Tests 323 and 1560 are known to fail.  A few other tests may fail
+       randomly for unknown reasons.
+    </para>
+<!-- Two (of 857) tests
+fail for unknown reasons, and all tests fail is valgrind is installed. Moving
+valgrind out of $PATH is recommended if you wish to run the test suite while
+it is installed. 
+
 Added by Pierre for curl-7.59.0:
 no stunnel, no valgrind, no options
@@ -251,10 +253,16 @@
 TESTFAIL: These test cases failed: 323 1560
 TESTDONE: 1254 tests were considered during 1362 seconds.
-
 Time above does not include test build time.
-
 All dependencies except for externals installed.
+=======
+Added by bdubbs for curl-7.65.3:
+TESTDONE: 1031 tests out of 1036 reported OK: 99%
+TESTFAIL: These test cases failed: 323 1139 1140 1173 1560
+TESTDONE: 1254 tests were considered during 1364 seconds.
+
+The tests that fail seem to be somewhat random.  What happened between 
+yesterday and today that that tests 1139 1140 1173 now fail?
+
 -->
-    </para>
 
     <para>
Index: packages.ent
===================================================================
--- packages.ent	(revision b4d7e2940ae40291d0ff24991865f6f41437ad6a)
+++ packages.ent	(revision 6666fad50150f25c49168e61aa02973ecb8d7b5c)
@@ -576,5 +576,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.15.0">
-<!ENTITY curl-version                 "7.65.2">
+<!ENTITY curl-version                 "7.65.3">
 <!ENTITY geoclue2-version             "2.5.3">
 <!ENTITY glib-networking-version      "2.60.3">
@@ -967,5 +967,5 @@
 
 <!-- Chapter 43 -->
-<!ENTITY mpg123-version               "1.25.10">
+<!ENTITY mpg123-version               "1.25.11">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.100">