Index: content/web/php.xml
===================================================================
--- content/web/php.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
+++ content/web/php.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -1,8 +1,9 @@
-<sect1 id="php" xreflabel="php">
+<sect1 id="php" xreflabel="PHP-&php-version;">
 <?dbhtml filename="php.html" dir="content"?>
-<title>php</title>
+<title><acronym>PHP</acronym>-&php-version;</title>
 
-<para>TO BE DONE</para>
+&php-intro;
+&php-inst;
+&php-config;
 
 </sect1>
-
Index: content/web/php/php-config.xml
===================================================================
--- content/web/php/php-config.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
+++ content/web/php/php-config.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -0,0 +1,23 @@
+<sect2>
+<title>Configuring <application><acronym>PHP</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/php.ini</filename>,
+<filename>/etc/pear.conf</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>To enable <acronym>PHP</acronym> support in the Apache web server,
+a new AddType directive must be added to the
+<filename>httpd.conf</filename> file:</para>
+
+<screen><userinput>AddType application/x-httpd-php .php</userinput></screen>
+
+<para>Also, it can be useful to add an entry for index.php to the
+DirectoryIndex directive of the <filename>httpd.conf</filename>
+file.</para>
+
+</sect3>
+
+</sect2>
Index: content/web/php/php-inst.xml
===================================================================
--- content/web/php/php-inst.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
+++ content/web/php/php-inst.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -0,0 +1,25 @@
+<sect2>
+<title>Installation of <application><acronym>PHP</acronym></application></title>
+
+<para>Install <application><acronym>PHP</acronym></application> by
+running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --with-apxs2=/usr/sbin/apxs \
+    --with-config-file-path=/etc --with-openssl=/usr \
+    --with-zlib=/usr --enable-bcmath --with-bz2=/usr \
+    --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr \
+    --enable-gd-native-ttf --with-db4 --with-png-dir=/usr \
+    --with-freetype-dir=/usr --with-gettext --with-mysql=/usr \
+    --with-ncurses --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+cp php.ini-dist /etc/php.ini</command></userinput></screen>
+
+<note><para><acronym>PHP</acronym> has many more configure options that
+will enable support for certain things. You can use
+<command>./configure --help</command> to see a full list of the
+available options. Also, use of the
+<ulink url="http://www.php.net/"><acronym>PHP</acronym> web site</ulink>
+is highly recommended, as their online docs are very good.</para></note>
+
+</sect2>
Index: content/web/php/php-intro.xml
===================================================================
--- content/web/php/php-intro.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
+++ content/web/php/php-intro.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -0,0 +1,44 @@
+<sect2>
+<title>Introduction to <application><acronym>PHP</acronym></application></title>
+
+<para><application><acronym>PHP</acronym></application> is the PHP
+Hypertext Preprocessor. Primary used in dynamic web sites, it allows for
+programming code to be directly embedded into the
+<acronym>HTML</acronym> code.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&php-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&php-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &php-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &php-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &php-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>PHP</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="openssl"/>,
+<xref linkend="bc"/>,
+<xref linkend="curl"/>,
+<xref linkend="db"/>,
+<xref linkend="libjpeg"/>,
+<xref linkend="libpng"/>,
+<xref linkend="freetype2"/>,
+<xref linkend="mysql"/> and
+<xref linkend="apache"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="gdbm"/>, 
+<xref linkend="sendmail"/>, 
+<xref linkend="pcre"/>,
+<xref linkend="postgres"/>,
+<xref linkend="readline"/>,
+<xref linkend="libtiff"/>,
+<xref linkend="expat"/> and
+<xref linkend="gmp"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: content/web/php/php.ent
===================================================================
--- content/web/php/php.ent	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
+++ content/web/php/php.ent	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -1,1 +1,10 @@
 <!ENTITY php SYSTEM "../php.xml">
+<!ENTITY php-intro SYSTEM "php-intro.xml">
+<!ENTITY php-inst SYSTEM "php-inst.xml">
+<!ENTITY php-config SYSTEM "php-config.xml">
+<!ENTITY php-version "4.3.3">
+<!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
+<!ENTITY php-download-ftp "">
+<!ENTITY php-size "3.5 MB">
+<!ENTITY php-buildsize "79 MB">
+<!ENTITY php-time "1.24 SBU">
Index: index.xml
===================================================================
--- index.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
+++ index.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030924">
-<!ENTITY releasedate "September 24th, 2003">
+<!ENTITY version "20030925">
+<!ENTITY releasedate "September 25th, 2003">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
+++ introduction/welcome/changelog.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -12,4 +12,7 @@
 <itemizedlist>
 
+<listitem><para>September 25th, 2003 [igor]: Added PHP-4.3.3
+submitted by Jeremy Utley.</para></listitem>
+    
 <listitem><para>September 24th, 2003 [larry]: Updated to
 xine-ui-0.9.22.</para></listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
+++ introduction/welcome/credits.xml	(revision 6683a006b2f68aff2dccbb727381993851cacac6)
@@ -133,4 +133,6 @@
 </listitem>
 
+<listitem><para>PHP: <emphasis>Jeremy Utley</emphasis></para></listitem>
+
 <listitem><para>fetchmail and wvdial: <emphasis>Paul Campbell</emphasis></para>
 </listitem>
@@ -138,7 +140,8 @@
 <listitem><para>udftools: <emphasis>Richard Downing</emphasis></para></listitem>
 
-<listitem><para>directFB, FLAC, id3lib, imlib2, libFAME, libMPEG3,
-MySQL-4, NASM, openquicktime, Speex and SVGAlib: <emphasis>Igor
-Zivkovic</emphasis></para></listitem>
+<listitem><para>compface, DirectFB, FLAC, id3lib, Imlib2, liba52, libdv,
+libdvdcss, libdvdread, libFAME, libmad, libmpeg3, LZO, NASM,
+OpenQuicktime, Speex and SVGAlib: <emphasis>Igor Zivkovic</emphasis></para>
+</listitem>
 
 <listitem><para>tripwire : <emphasis>Manfred Glombowski</emphasis></para>