Index: general.ent
===================================================================
--- general.ent	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ general.ent	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 14th, &year;">
+<!ENTITY releasedate  "December 15th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libqmi.xml
===================================================================
--- general/genlib/libqmi.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ general/genlib/libqmi.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -7,5 +7,5 @@
   <!ENTITY libqmi-download-http "https://www.freedesktop.org/software/libqmi/libqmi-&libqmi-version;.tar.xz">
   <!ENTITY libqmi-download-ftp  " ">
-  <!ENTITY libqmi-md5sum        "4b181c0a8b933226ce3dce09565fe8f8">
+  <!ENTITY libqmi-md5sum        "e49c419112d708b5301af7ccc2c090ff">
   <!ENTITY libqmi-size          "976 KB">
   <!ENTITY libqmi-buildsize     "77 MB (with tests)">
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ general/sysutils/modemmanager.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -7,7 +7,7 @@
   <!ENTITY ModemManager-download-http "https://www.freedesktop.org/software/ModemManager/ModemManager-&ModemManager-version;.tar.xz">
   <!ENTITY ModemManager-download-ftp  " ">
-  <!ENTITY ModemManager-md5sum        "2d982820ff35c8369b50a0c55f92f5a2">
+  <!ENTITY ModemManager-md5sum        "d723c22b0da7fa570d66bc7ad0f59cd6">
   <!ENTITY ModemManager-size          "2.0 MB">
-  <!ENTITY ModemManager-buildsize     "118 MB (with tests)">
+  <!ENTITY ModemManager-buildsize     "115 MB (with tests)">
   <!ENTITY ModemManager-time          "0.5 SBU (Using parallelism=4; with tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ introduction/welcome/changelog.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -42,4 +42,34 @@
     </listitem>
        -->
+    <listitem>
+      <para>December 15th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to unbound-1.9.6. Fixes
+          <ulink url="&blfs-ticket-root;12901">#12901</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libqmi-1.24.2. Fixes
+          <ulink url="&blfs-ticket-root;12900">#12900</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libXpm-3.5.13 (Xorg Library). Fixes
+          <ulink url="&blfs-ticket-root;12899">#12899</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-19.3.0. Fixes
+          <ulink url="&blfs-ticket-root;12898">#12898</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mariadb-10.4.11. Fixes
+          <ulink url="&blfs-ticket-root;12894">#12894</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ModemManager-1.12.2. Fixes
+          <ulink url="&blfs-ticket-root;12891">#12891</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>December 14th, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ packages.ent	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -149,5 +149,5 @@
 <!ENTITY libnfsidmap-version          "0.26">
 <!ENTITY libpaper-version             "1.1.24+nmu5">
-<!ENTITY libqmi-version               "1.24.0">
+<!ENTITY libqmi-version               "1.24.2">
 <!ENTITY libseccomp-version           "2.4.2">
 <!ENTITY libsigc-version              "2.10.2">
@@ -283,5 +283,5 @@
 <!ENTITY lsb-tools-version            "0.5">
 <!ENTITY mc-version                   "4.8.23">
-<!ENTITY ModemManager-version         "1.12.0">
+<!ENTITY ModemManager-version         "1.12.2">
 <!ENTITY obex-data-server-version     "0.4.6">
 <!ENTITY p7zip-version                "16.02">
@@ -635,5 +635,5 @@
 <!ENTITY db-version                   "5.3.28">
 <!ENTITY lmdb-version                 "0.9.24">
-<!ENTITY mariadb-version              "10.4.10">
+<!ENTITY mariadb-version              "10.4.11">
 <!ENTITY postgresql-version           "12.1">
 <!ENTITY sqlite-version               "3.30.1">
@@ -642,5 +642,5 @@
 <!ENTITY openldap-version             "2.4.48">
 <!ENTITY soprano-version              "2.9.4">
-<!ENTITY unbound-version              "1.9.5">
+<!ENTITY unbound-version              "1.9.6">
 <!ENTITY virtuoso-version             "6.1.8">
 <!ENTITY xinetd-version               "2.3.15">
@@ -659,6 +659,6 @@
 <!ENTITY xcursor-themes-version       "1.0.6">
 <!ENTITY xkeyboard-config-version     "2.28">
-<!ENTITY mesa-major-minor             "19.2">
-<!ENTITY mesa-version                 "&mesa-major-minor;.7">
+<!ENTITY mesa-major-minor             "19.3">
+<!ENTITY mesa-version                 "&mesa-major-minor;.0">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ server/databases/mariadb.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -8,8 +8,8 @@
   <!ENTITY mariadb-download-http "https://downloads.mariadb.org/interstitial/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz"> 
   <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-md5sum        "78f414b057a366479639193a0982bcaf">
+  <!ENTITY mariadb-md5sum        "d0de881ab8ead46928cafb7d558535c1">
   <!ENTITY mariadb-size          "75 MB">
   <!ENTITY mariadb-buildsize     "1.5 GB">
-  <!ENTITY mariadb-time          "10 SBU (with parallelism=4, add 0.4 SBU for tests)">
+  <!ENTITY mariadb-time          "13 SBU (with parallelism=4, add 0.4 SBU for tests)">
 ]>
 
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ server/other/unbound.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -7,5 +7,5 @@
   <!ENTITY unbound-download-http "http://www.unbound.net/downloads/unbound-&unbound-version;.tar.gz">
   <!ENTITY unbound-download-ftp  " ">
-  <!ENTITY unbound-md5sum        "deb7a3c52fec66323b508c0be4be4849">
+  <!ENTITY unbound-md5sum        "e6423d68e293ffec953477ef1adbbfb7">
   <!ENTITY unbound-size          "5.4 MB">
   <!ENTITY unbound-buildsize     "52 MB (with docs; add 9 MB for tests)">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ x/installing/mesa.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "03169a316f99892c43682728ac9ace52">
+  <!ENTITY mesa-md5sum        "b8b4aaeb021ab8b827b1e7b3ed05271a">
   <!ENTITY mesa-size          "11 MB">
-  <!ENTITY mesa-buildsize     "380 MB (with demos and docs), add 188 MB for tests">
-  <!ENTITY mesa-time          "2.4 SBU (with parallelism=4, demos, and docs), add 0.4 SBU for tests">
+  <!ENTITY mesa-buildsize     "397 MB (with demos and docs), add 204 MB for tests">
+  <!ENTITY mesa-time          "2.6 SBU (with parallelism=4, demos, and docs), add 0.4 SBU for tests">
 ]>
 
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 91164139fc8d83c1df1407fcd06d89a07185d9c9)
+++ x/installing/x7lib.xml	(revision 6718a13107730ea4c413541c74bd66fcaf767d0e)
@@ -38,6 +38,6 @@
   <!ENTITY libXmu-md5sum                   "ac774cff8b493f566088a255dbf91201">
 
-  <!ENTITY libXpm-version                  "3.5.12">
-  <!ENTITY libXpm-md5sum                   "20f4627672edb2bd06a749f11aa97302">
+  <!ENTITY libXpm-version                  "3.5.13">
+  <!ENTITY libXpm-md5sum                   "6f0ecf8d103d528cfc803aa475137afa">
 
   <!ENTITY libXaw-version                  "1.0.13">