Index: kde/add/add.xml
===================================================================
--- kde/add/add.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/add.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kde-i18n.xml
===================================================================
--- kde/add/kde-i18n.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kde-i18n.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeaccessibility.xml
===================================================================
--- kde/add/kdeaccessibility.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeaccessibility.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeaddons.xml
===================================================================
--- kde/add/kdeaddons.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeaddons.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeadmin.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeartwork.xml
===================================================================
--- kde/add/kdeartwork.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeartwork.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeedu.xml
===================================================================
--- kde/add/kdeedu.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeedu.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdegames.xml
===================================================================
--- kde/add/kdegames.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdegames.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdegraphics.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdemultimedia.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdenetwork.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdepim.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdetoys.xml
===================================================================
--- kde/add/kdetoys.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdetoys.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/add/kdeutils.xml
===================================================================
--- kde/add/kdeutils.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/add/kdeutils.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/arts.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/config.xml
===================================================================
--- kde/core/config.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/config.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/core.xml
===================================================================
--- kde/core/core.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/core.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/kdebase.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/kdelibs.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/core/pre-install-config.xml
===================================================================
--- kde/core/pre-install-config.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/core/pre-install-config.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/devel/devel.xml
===================================================================
--- kde/devel/devel.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/devel/devel.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/devel/kdebindings.xml
===================================================================
--- kde/devel/kdebindings.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/devel/kdebindings.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/devel/kdesdk.xml
===================================================================
--- kde/devel/kdesdk.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/devel/kdesdk.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/devel/kdevelop.xml
===================================================================
--- kde/devel/kdevelop.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/devel/kdevelop.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/devel/kdewebdev.xml
===================================================================
--- kde/devel/kdewebdev.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/devel/kdewebdev.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
Index: kde/kde-intro.xml
===================================================================
--- kde/kde-intro.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/kde-intro.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE partintro PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE partintro PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: kde/kde.xml
===================================================================
--- kde/kde.xml	(revision fd680fb0e5605ec33f3edfcab9e7c1f99461b088)
+++ kde/kde.xml	(revision 6732c094603c9ccdbb03eaf2fc276a6b1077763b)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;